package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Qms.com.mapper.BaseStdAlphaMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_STD_ALPHA", namespace=BaseStdAlphaMapper.class)
public class BaseStdAlpha extends BaseVO implements Serializable {

	/** 用途代码 */
	@Id("ALPHA_CODE")
	private String alphaCode;

	/** 用途描述 */
	@Column("ALPHA_NAME")
	private String alphaName;

	/** 标准代码 */
	@Column("STD_CODE")
	private String stdCode;

	/** 标准描述 */
	@Column("STD_NOTE")
	private String stdNote;

	/** 标准协会代码(4001) */
	@Column("STD_CLUB_CODE")
	private String stdClubCode;

	/** 标准协会描述(美标、英标、国标、行业标准、企标.......) */
	@Column("STD_CLUB_DESC")
	private String stdClubDesc;

	/** 标准版本号 */
	@Column("STD_VERSION")
	private String stdVersion;

	/** 管理部门代码 */
	@Column("DEPT_CODE")
	private String deptCode;

	/** 管理部门描述 */
	@Column("DEPT_DESC")
	private String deptDesc;

	/** 管理科室代码 */
	@Column("SECTION_CODE")
	private String sectionCode;

	/** 管理科室描述 */
	@Column("SECTION_DESC")
	private String sectionDesc;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** [老系统]Alpha代码 */
	@Column("ALPHA_CODE_OLD")
	private String alphaCodeOld;

	public String getAlphaCode() {
		return this.alphaCode;
	}

	public String getAlphaName() {
		return this.alphaName;
	}

	public String getStdCode() {
		return this.stdCode;
	}

	public String getStdNote() {
		return this.stdNote;
	}

	public String getStdClubCode() {
		return this.stdClubCode;
	}

	public String getStdClubDesc() {
		return this.stdClubDesc;
	}

	public String getStdVersion() {
		return this.stdVersion;
	}

	public String getDeptCode() {
		return this.deptCode;
	}

	public String getDeptDesc() {
		return this.deptDesc;
	}

	public String getSectionCode() {
		return this.sectionCode;
	}

	public String getSectionDesc() {
		return this.sectionDesc;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getAlphaCodeOld() {
		return this.alphaCodeOld;
	}

	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	public void setAlphaName(String alphaName) {
		this.alphaName = alphaName;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public void setStdNote(String stdNote) {
		this.stdNote = stdNote;
	}

	public void setStdClubCode(String stdClubCode) {
		this.stdClubCode = stdClubCode;
	}

	public void setStdClubDesc(String stdClubDesc) {
		this.stdClubDesc = stdClubDesc;
	}

	public void setStdVersion(String stdVersion) {
		this.stdVersion = stdVersion;
	}

	public void setDeptCode(String deptCode) {
		this.deptCode = deptCode;
	}

	public void setDeptDesc(String deptDesc) {
		this.deptDesc = deptDesc;
	}

	public void setSectionCode(String sectionCode) {
		this.sectionCode = sectionCode;
	}

	public void setSectionDesc(String sectionDesc) {
		this.sectionDesc = sectionDesc;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setAlphaCodeOld(String alphaCodeOld) {
		this.alphaCodeOld = alphaCodeOld;
	}
	
	//2018年1月17修改
	private List<BaseStdRCust> baseStdRCusts;

	public List<BaseStdRCust> getBaseStdRCusts() {
		return baseStdRCusts;
	}

	public void setBaseStdRCusts(List<BaseStdRCust> baseStdRCusts) {
		this.baseStdRCusts = baseStdRCusts;
	}
	

}
